Debian Linux EOL 之後的問題

有台機器的 Linux 發行版 (Distribution) 是用 Debian ,版號是 Lenny ,由於我太久沒維護了,所以沒注意到它已經 EOL 了。

這幾天上去看,才發現因為 EOL 的關係,沒辦法 apt-get update ,也沒辦法透過 apt-get 去套件庫下載 package 回來裝。

解決方法是修改 /etc/apt/source.list ,把 source list 從原本的位置都換到 archive 就可以了。

deb http://archive.debian.org/debian/ lenny main non-free contrib
deb-src http://archive.debian.org/debian/ lenny main non-free contrib
deb http://archive.debian.org/debian-volatile lenny/volatile main contrib non-free
deb-src http://archive.debian.org/debian-volatile lenny/volatile main contrib non-free
deb http://archive.debian.org/debian-security lenny/updates main
# backports
# deb http://archive.debian.org/debian-backports lenny-backports main contrib non-free

這樣一來,就不用整個升到新的發行版去,還是可以持續使用舊的發行版。

Posted in computers

Leave a Reply

Your email address will not be published.